pvar {plm} | R Documentation

## Check for Cross-Sectional and Time Variation

### Description

This function checks for each variable of a panel if it varies cross-sectionally and over time.

### Usage

    pvar(x, ...)
    ## S3 method for class 'data.frame'
    pvar(x, index = NULL, ...)
    ## S3 method for class 'pdata.frame'
    pvar(x, ...)
    ## S3 method for class 'pvar'
    print(x, ...)

### Arguments

`x` | a `data.frame`,
`index` | see `pdata.frame`,
`...` | further arguments.

### Details

`pvar` can be time consuming for “big” panels.

### Value

An object of class `pvar` containing the following elements:

`id.var` | a logical vector with `TRUE` values if the variable has individual variation, `FALSE` otherwise,
`time.var` | a logical vector with `TRUE` values if the variable has time variation, `FALSE` otherwise,

### Author(s)

Yves Croissant

### Examples

    # Gasoline contains two variables which are individual and time indexes
    # and are the first two variables
    data("Gasoline", package = "plm")
    pvar(Gasoline)

    # Hedonic is an unbalanced panel, townid is the individual index;
    # the drop.index argument is passed to pdata.frame
    data("Hedonic", package = "plm")
    pvar(Hedonic, "townid", drop.index = TRUE)

    # same using pdata.frame
    Hed <- pdata.frame(Hedonic, "townid", drop.index = TRUE)
    pvar(Hed)

[Package plm version 1.5-12 Index]